using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioRegiao
    {


        public void Insert(entidadeRegiao objRegiao)
        {
            dalRegiao dalRegiao = null;

            try
            {
                dalRegiao = new dalRegiao();

                dalRegiao.Insert(objRegiao);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeRegiao objRegiao)
        {
            dalRegiao dalRegiao = null;

            try
            {
                dalRegiao = new dalRegiao();

                dalRegiao.Update(objRegiao);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete(entidadeRegiao objRegiao)
        {
            dalRegiao dalRegiao = null;

            try
            {
                dalRegiao = new dalRegiao();

                dalRegiao.Delete(objRegiao);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeRegiao> Select(entidadeRegiao objRegiao)
        {
            dalRegiao dalRegiao = null;

            var lstRegiao = new List<entidadeRegiao>();
            DataTable dt = null;

            try
            {
                dalRegiao = new dalRegiao();
                dt = dalRegiao.Select(objRegiao);

                foreach (DataRow dr in dt.Rows)
                {
                    objRegiao = new entidadeRegiao();


                    if (!Convert.IsDBNull(dr["ID"]))
                        objRegiao.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objRegiao.DESCRICAO = dr["DESCRICAO"].ToString();

                    if (!Convert.IsDBNull(dr["SIGLA"]))
                        objRegiao.SIGLA = dr["SIGLA"].ToString();

                    lstRegiao.Add(objRegiao);
                }
                return lstRegiao;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeRegiao> Select_1(entidadeRegiao objRegiao)
        {
            dalRegiao dalRegiao = null;

            var lstRegiao = new List<entidadeRegiao>();
            DataTable dt = null;

            try
            {
                dalRegiao = new dalRegiao();
                dt = dalRegiao.Select_1(objRegiao);

                foreach (DataRow dr in dt.Rows)
                {
                    objRegiao = new entidadeRegiao();


                    if (!Convert.IsDBNull(dr["ID"]))
                        objRegiao.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objRegiao.DESCRICAO = dr["DESCRICAO"].ToString();

                    if (!Convert.IsDBNull(dr["SIGLA"]))
                        objRegiao.SIGLA = dr["SIGLA"].ToString();

                    lstRegiao.Add(objRegiao);
                }
                return lstRegiao;
            }
            catch (Exception)
            {
                throw;
            }
        }



    }
}
